package com.aiosman.riderpro

import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.setValue
import androidx.lifecycle.ViewModel


object NewPostViewModel : ViewModel() {
    var textContent by mutableStateOf("")
    var searchPlaceAddressResult by mutableStateOf<SearchPlaceAddressResult?>(null)
    var modificationList by mutableStateOf<List<Modification>>(listOf())

    fun asNewPost() {
        textContent = ""
        searchPlaceAddressResult = null
        modificationList = listOf()
    }
}